summaryrefslogtreecommitdiff
path: root/dev-python/coverage
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-28 03:05:04 -0500
committerCrucible <crucible@localhost>2026-09-28 03:05:04 -0500
commit97f0accadef9006a8eaa198a93d9d8c2de538b63 (patch)
tree83e86eeaec2bad73d2ad64ee21d0ababdd5934ef /dev-python/coverage
parentc8fd7bb01e09d7af5b5c8aac5cb6d2e816154482 (diff)
downloadsrcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.tar.gz
srcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.tar.xz
srcux-97f0accadef9006a8eaa198a93d9d8c2de538b63.zip
Publish srcux candidate 0000000516-20260928-030306
Diffstat (limited to 'dev-python/coverage')
-rw-r--r--dev-python/coverage/Manifest2
-rw-r--r--dev-python/coverage/coverage-7.16.0.ebuild2
-rw-r--r--dev-python/coverage/coverage-7.16.2.ebuild108
3 files changed, 111 insertions, 1 deletions
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index a881da25bfb9..83cbd8b853dd 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -4,3 +4,5 @@ DIST coverage-7.16.0.tar.gz 945620 BLAKE2B 5f93ac8e2a91c354fb7dc57fc710613f639ec
DIST coverage-7.16.0.tar.gz.provenance 9905 BLAKE2B 7c9a6480d9295ea7818c83285ae379c29a255b7a8252cfe5b80dbc8cc0af289d15bd6e9306af9e656271e443994a0a867a4ac0a385b75fb612a82e997985848e SHA512 c28195e374aa4330625f979e851b4d54c6040f8a3044059a0d218254b7d66d9087129051f0e4b2a24f39effc13ddd26b76f0baa341ffd803e7d6f3dd206acd33
DIST coverage-7.16.1.tar.gz 969651 BLAKE2B 0b33a919ba5722d9ff20c3561f096677abfbced651e9d4ac5f7c295276f777e41263c043de2e7fc7c9543403deb230ad00b2cd4b3ca46fae2136304fde25ec93 SHA512 5d5b295b3462d558656e4c1ce060c12f0e4cf20cfd4aeec51a1100d331929cfdf4e0f5fa5a7d695e817de8466f27252af92e52d43ae3bd88e7705dd5cb874d01
DIST coverage-7.16.1.tar.gz.provenance 9764 BLAKE2B 141169c22de5d80d552c8c3af4fc75fb348ac50fa92ce18104c9bfaa46aeb53f467932d32caf89a04f6d49ec563096154ea767d3a60ff2e484c88056d629b811 SHA512 5b64badff085ff8132d8c324607d15994796a090fff39523cc341265748f265deac36005298381214ef6c8abb2ff5d0098c53b15d329fb454aaef1f9c6c8ed5d
+DIST coverage-7.16.2.tar.gz 971999 BLAKE2B 936073cf3fbc3ebe1974f12f1976a697a648cdcdb55b86f19d30dc3b54380d168477970a00678e3c7dcbc5ecc6d0fb6d54e1c6caa61797f7693f72d786a2221e SHA512 0800342b41ca17b3fb681d9181235790be18cf011158c4f67a89effdbd927fbe0c29dc79569aa2d668a8ad39141f33d380cd79bf02e393853089df2eccf6e7d5
+DIST coverage-7.16.2.tar.gz.provenance 9764 BLAKE2B 60fb6766e20897c90eb7a413f933b1c133f90b3b6056001bf9184656f4905f75db738f26ed0ee2a5a91ff649d25b8689bdfa96945f08f97a30ac05db4115a86c SHA512 74aa4309b4391f3b2f3ea365afff5f4884b3cca46e9da85e08ee492f802e77daef0d0542ed84f8e9e41a000bd7e9195fe085075efc18ba3a6abccdf1e444889b
diff --git a/dev-python/coverage/coverage-7.16.0.ebuild b/dev-python/coverage/coverage-7.16.0.ebuild
index d505ded52b86..31d0c11b537c 100644
--- a/dev-python/coverage/coverage-7.16.0.ebuild
+++ b/dev-python/coverage/coverage-7.16.0.ebuild
@@ -20,7 +20,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~loong ~m68k ~mips ~ppc ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
IUSE="+native-extensions"
BDEPEND="
diff --git a/dev-python/coverage/coverage-7.16.2.ebuild b/dev-python/coverage/coverage-7.16.2.ebuild
new file mode 100644
index 000000000000..bb83b5e46e2e
--- /dev/null
+++ b/dev-python/coverage/coverage-7.16.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/coveragepy/coveragepy
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 multiprocessing pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/coveragepy/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-{rerunfailures,xdist} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_compile() {
+ if ! use native-extensions; then
+ local -x COVERAGE_DISABLE_EXTENSION=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+test_tracer() {
+ local -x COVERAGE_CORE=${1}
+
+ if [[ ${EPYTHON} == python3.15 && ${COVERAGE_CORE} == sysmon ]] &&
+ has_version "dev-lang/python:3.15[jit]"
+ then
+ local EPYTEST_DESELECT=(
+ "${EPYTEST_DESELECT[@]}"
+ tests/test_arcs.py::LoopArcTest::test_continue
+ )
+ fi
+
+ einfo " Testing with the ${COVERAGE_CORE} core ..."
+ nonfatal epytest -o addopts= "${@:2}" tests ||
+ die "Tests failed with ${EPYTHON}, ${COVERAGE_CORE} core"
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ # these expect specific availability of C extension matching
+ # COVERAGE_CORE (which breaks testing pytracer on CPython)
+ tests/test_cmdline.py::CmdLineStdoutTest::test_version
+ tests/test_debug.py::DebugTraceTest::test_debug_sys_ctracer
+ # packaging tests, fragile to setuptools version
+ tests/test_setup.py
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+
+ local jobs=${EPYTEST_JOBS:-$(makeopts_jobs)}
+ local xdist_args=()
+ if [[ ${jobs} -gt 1 ]]; then
+ # required upstream to avoid cross-test conflicts
+ xdist_args+=( --dist=loadgroup )
+ fi
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" coverage/ || die
+ test_tracer ctrace "${xdist_args[@]}"
+ fi
+
+ test_tracer pytrace "${xdist_args[@]}"
+
+ # available since Python 3.12
+ test_tracer sysmon "${xdist_args[@]}"
+
+ if [[ -n ${c_ext} ]]; then
+ rm coverage/*.so || die
+ fi
+}